## org.eclipse.datatools.modelbase.sql.query
Interface PredicateBetween

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

    public interface PredicateBetween

extends Predicate

A representation of the model object 'SQL Predicate Between'.

The following features are supported:

- `Not Between`
- `Left Value Expr`
- `Right Value Expr1`
- `Right Value Expr2`

See Also:
  `SQLQueryModelPackage.getPredicateBetween()`

Method Summary
`QueryValueExpression` `getLeftValueExpr()` Returns the value of the 'Left Value Expr' containment reference.
`QueryValueExpression` `getRightValueExpr1()` Returns the value of the 'Right Value Expr1' containment reference.
`QueryValueExpression` `getRightValueExpr2()` Returns the value of the 'Right Value Expr2' containment reference.
`boolean` `isNotBetween()` Returns the value of the 'Not Between' attribute.
`void` `setLeftValueExpr(QueryValueExpression value)` Sets the value of the '`Left Value Expr`' containment reference.
`void` `setNotBetween(boolean value)` Sets the value of the '`Not Between`' attribute.
`void` `setRightValueExpr1(QueryValueExpression value)` Sets the value of the '`Right Value Expr1`' containment reference.
`void` `setRightValueExpr2(QueryValueExpression value)` Sets the value of the '`Right Value Expr2`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition

`getCombinedLeft, getCombinedRight, getDeleteStatement, getMergeOnCondition, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setMergeOnCondition, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNotBetween

    boolean isNotBetween()

  Returns the value of the 'Not Between' attribute.

  If the meaning of the 'Not Between' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Not Between' attribute.
  See Also:
    `setNotBetween(boolean)`, `SQLQueryModelPackage.getPredicateBetween_NotBetween()`

### setNotBetween

    void setNotBetween(boolean value)

  Sets the value of the '`Not Between`' attribute.

  Parameters:
    `value` - the new value of the 'Not Between' attribute.
  See Also:
    `isNotBetween()`

### getLeftValueExpr

    QueryValueExpression getLeftValueExpr()

  Returns the value of the 'Left Value Expr' containment reference. It is bidirectional and its opposite is '`Between Left`'.

  If the meaning of the 'Left Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_LeftValueExpr()`, `QueryValueExpression.getBetweenLeft()`

### setLeftValueExpr

    void setLeftValueExpr(QueryValueExpression value)

  Sets the value of the '`Left Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `getLeftValueExpr()`

### getRightValueExpr1

    QueryValueExpression getRightValueExpr1()

  Returns the value of the 'Right Value Expr1' containment reference. It is bidirectional and its opposite is '`Between Right1`'.

  If the meaning of the 'Right Value Expr1' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Value Expr1' containment reference.
  See Also:
    `setRightValueExpr1(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_RightValueExpr1()`, `QueryValueExpression.getBetweenRight1()`

### setRightValueExpr1

    void setRightValueExpr1(QueryValueExpression value)

  Sets the value of the '`Right Value Expr1`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Value Expr1' containment reference.
  See Also:
    `getRightValueExpr1()`

### getRightValueExpr2

    QueryValueExpression getRightValueExpr2()

  Returns the value of the 'Right Value Expr2' containment reference. It is bidirectional and its opposite is '`Between Right2`'.

  If the meaning of the 'Right Value Expr2' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Value Expr2' containment reference.
  See Also:
    `setRightValueExpr2(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_RightValueExpr2()`, `QueryValueExpression.getBetweenRight2()`

### setRightValueExpr2

    void setRightValueExpr2(QueryValueExpression value)

  Sets the value of the '`Right Value Expr2`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Value Expr2' containment reference.
  See Also:
    `getRightValueExpr2()`